﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek DPO4000B (1 yr) Input Impedance VER VISA /O_CAL
DATE:                  2013-08-13 14:35:11
AUTHOR:                Fluke
REVISION:              $Revision: 3802 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       117
CONFIGURATION:         Fluke Ocal (Z)
=============================================================================
#
#  Procedure Author:
#        DAC, CAD
#
#  Models Covered:
#        DPO4014B, DPO4034B, DPO4054B, DPO4102B(-L), DPO4104B(-L)
#        MSO4014B, MSO4034B, MSO4054B, MSO4102B(-L), MSO4104B(-L)
#        MDO4014-3, MDO4034-3, MDO4054-3, MDO4054-6, MDO4104-3, MDO4104-6
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek MDO/MSO/DPO Select Channel VISA

  1.002  RSLT         =
  1.003  HEAD         {INPUT IMPEDANCE: Channel [V @Chan]}
  1.004  RSLT         =
  1.005  HEAD         -2 {10 mV/div}
  1.006  TARGET       -p

# Connection instructions for single channel calibrator, and only for DUT
# channels 2-4.  For channel 1 connection instructions, see the Sample Rate
# test below.
  1.007  IF           NOT(@Chan == 1) && NOT(@CalMultiChan)
  1.008  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.009  HEAD         -2 10 mV/div

  1.010  IF           FINDI(@UUT_Model, "MDO", 0)

  1.011  IF           FINDI(@CalDev, "58", 0)
  1.012  DISP         Connect the [V @CalDev] CHAN 1 OUTPUT to the
  1.012  DISP         DUT CH [V @Chan] input.
  1.012  DISP
  1.012  DISP         Leave the 50 Ohm terminator in place, connected to the
  1.012  DISP         DUT RF Input.
  1.013  ELSE
  1.014  DISP         Connect the [V @CalDev] SCOPE OUT to the
  1.014  DISP         DUT CH [V @Chan] input.
  1.014  DISP
  1.014  DISP         Leave the 50 Ohm terminator in place, connected to the
  1.014  DISP         DUT RF Input.
  1.015  ENDIF

  1.016  ELSE

  1.017  IF           FINDI(@CalDev, "58", 0)
  1.018  DISP         Connect the [V @CalDev] CHAN 1 OUTPUT to the
  1.018  DISP         DUT CH [V @Chan] input.
  1.019  ELSE
  1.020  DISP         Connect the [V @CalDev] SCOPE OUT to the
  1.020  DISP         DUT CH [V @Chan] input.
  1.021  ENDIF

  1.022  ENDIF

  1.023  DISP         The next operator intervention will occur in
  1.023  DISP         approximately 11 minutes.
  1.023  DISP
  1.023  DISP         Select "Advance" to proceed.
  1.024  ENDIF

  1.025  TSET         NTHROW = 1
  1.026  VISA         CH[V @Chan]:SCA 10E-3;TER 50
  1.027  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  1.028  JMPL         END_INPUT_IMPEDANCE          @Abort
  1.029  O_CAL        Mode = ImpedanceMeasurement; Channel = [V @CalChan]
  1.029  O_CAL        +Resistance = 50.0 Ohms; Setup
  1.030  TARGET       -m
  1.031  O_CAL        Mode = ImpedanceMeasurement; Channel = [V @CalChan]
  1.031  O_CAL        +Resistance = 50.0 Ohms; Read
  1.032  MEMC         50.0Z          0.5U

  2.001  TSET         NTHROW = 1
  2.002  VISA         CH[V @Chan]:TER 1E+6
  2.003  CALL         Sub Tek MDO/MSO/DPO Wait for OPC VISA
  2.004  JMPL         END_INPUT_IMPEDANCE          @Abort
  2.005  O_CAL        Mode = ImpedanceMeasurement; Channel = [V @CalChan]
  2.005  O_CAL        +Resistance = 1.00 MOhms; Setup
  2.006  TARGET       -m
  2.007  O_CAL        Mode = ImpedanceMeasurement; Channel = [V @CalChan]
  2.007  O_CAL        +Resistance = 1.00 MOhms; Read
  2.008  MEMC         1.00MZ         0.01U

  3.001  LABEL        END_INPUT_IMPEDANCE
  3.002  HEAD         -2
  3.003  O_CAL        Reset
  3.004  HEAD
  3.005  END
