﻿Fluke Calibration                                           MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Tek MSO (1 yr) Digital Threshold VER VISA /O_CAL
DATE:                  2018-04-25 12:55:54
AUTHOR:                Fluke
REVISION:              $Revision: 23448 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       171
CONFIGURATION:         Fluke Ocal
=============================================================================
#
#  Procedure Author:
#        DAC
#
#  Models Covered:
#        MSO2000, MSO2000B Series
#        MSO3000 Series
#        MDO3000 Series
#        MSO4000, MSO4000B Series
#        MDO4000, MDO4000B Series
#        MSO5000 Series
#
#  Compatibility:
#        MET/CAL version 8.0 or later
#
#  Additional Equipment Required:
#        Digital Test Probe
#          MSO2000B Series
#        Digital Calibration Fixture (PN 174-4535-00)
#          MSO4000 Series
#        TCFA074 Digital Calibration Fixture (PN 067-2121-00)
#          MSO4000B Series
#          MDO4000 Series
#          MSO5000 Series
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
#  Memory Register Usage:
#
#    M[100] - M[115]:  Channel state (0 or 1)
#    M[120] - M[135]:  Average transition voltage
#    M[140] - M[155]:  Average transition voltage accuracy
#    M[160] - M[175]:  Average transition voltage found (0 or 1)
#
#    @iState: Index offset to access channel state in M registers.
#    @iVolt:  Index offset to access voltage in M registers.
#    @iAcc:   Index offset to access voltage accuracy in M registers.
#    @iFound: Index offset to access voltage found in M registers.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  O_CAL        Mode = Voltage; +Voltage = 4.5 V; OutputImp = 1 MOhm
  1.003  ENDIF

  1.004  MATH         @iState = 100
  1.005  MATH         @iVolt  = 120
  1.006  MATH         @iAcc   = 140
  1.007  MATH         @iFound = 160

  1.008  RSLT         =
  1.009  HEAD         {DIGITAL THRESHOLD ACCURACY}
  1.010  MATH         @ShowConnection = 1; @CalChan = 1

  1.011  RSLT         =
  1.012  RSLT         =Threshold: 0 V
  1.013  MATH         @Threshold = 0
  1.014  TOL          0.10U
  1.015  MATH         @LowVoltage  = -500E-3
  1.016  MATH         @HighVoltage = +500E-3
  1.017  CALL         Sub Tek MSO Get Digital Threshold Values VISA /O_CAL

  1.018  IF           @Abort
  1.019  END
  1.020  ENDIF

  1.021  IF           @GotData
  1.022  MATH         @DChan = 0
  1.023  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.024  MATH         @DChan = 1
  1.025  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.026  MATH         @DChan = 2
  1.027  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.028  MATH         @DChan = 3
  1.029  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.030  MATH         @DChan = 4
  1.031  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.032  MATH         @DChan = 5
  1.033  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.034  MATH         @DChan = 6
  1.035  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.036  MATH         @DChan = 7
  1.037  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.038  MATH         @DChan = 8
  1.039  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.040  MATH         @DChan = 9
  1.041  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.042  MATH         @DChan = 10
  1.043  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.044  MATH         @DChan = 11
  1.045  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.046  MATH         @DChan = 12
  1.047  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.048  MATH         @DChan = 13
  1.049  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.050  MATH         @DChan = 14
  1.051  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.052  MATH         @DChan = 15
  1.053  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.054  ENDIF

  1.055  RSLT         =
  1.056  RSLT         =Threshold: 4 V
  1.057  MATH         @Threshold = 4
  1.058  TOL          0.22U
  1.059  MATH         @LowVoltage  = +3.5
  1.060  MATH         @HighVoltage = +4.4
  1.061  CALL         Sub Tek MSO Get Digital Threshold Values VISA /O_CAL

  1.062  IF           @Abort
  1.063  END
  1.064  ENDIF

  1.065  IF           @GotData
  1.066  MATH         @DChan = 0
  1.067  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.068  MATH         @DChan = 1
  1.069  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.070  MATH         @DChan = 2
  1.071  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.072  MATH         @DChan = 3
  1.073  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.074  MATH         @DChan = 4
  1.075  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.076  MATH         @DChan = 5
  1.077  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.078  MATH         @DChan = 6
  1.079  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.080  MATH         @DChan = 7
  1.081  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.082  MATH         @DChan = 8
  1.083  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.084  MATH         @DChan = 9
  1.085  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.086  MATH         @DChan = 10
  1.087  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.088  MATH         @DChan = 11
  1.089  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.090  MATH         @DChan = 12
  1.091  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.092  MATH         @DChan = 13
  1.093  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.094  MATH         @DChan = 14
  1.095  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.096  MATH         @DChan = 15
  1.097  CALL         Sub Tek MSO (1 yr) Digital Threshold Test VISA /O_CAL
  1.098  ENDIF

  1.099  END
